#### Linux From Scratch - Version r13.0-6

### Chapter 8. Installing Basic System Software

- Prev

  MPFR-4.2.2

- Next

  Attr-2.5.2

- Up
- Home

# 8.24. MPC-1.3.1

The MPC package contains a library for the arithmetic of complex numbers with arbitrarily high precision and correct rounding of the result.

Approximate build time: 0.1 SBU
Required disk space: 22 MB

## 8.24.1. Installation of MPC

Prepare MPC for compilation:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/mpc-1.3.1

Compile the package and generate the HTML documentation:

    make
    make html

To test the results, issue:

    make check

Install the package and its documentation:

    make install
    make install-html

## 8.24.2. Contents of MPC

Installed libraries: libmpc.so
Installed directory: /usr/share/doc/mpc-1.3.1

### Short Descriptions

`libmpc` | Contains complex math functions

- Prev

  MPFR-4.2.2

- Next

  Attr-2.5.2

- Up
- Home